/*
 * Из презентации "Библиотека OpenMP"
 * Илья Кремер, Октябрь 2011
 *
 * http://kremer.pro/blog/?post_type=post&p=26
 *
 * $ gcc -fopenmp omp_hello.c
 * $ ./a.out
 */
 
#include <stdio.h>
#include <omp.h>

int main() {
    int pid;
    printf("До распараллеливания...\n");
#pragma omp parallel num_threads(3), private(pid)
  {
    pid = omp_get_thread_num();
    printf("Hello, World! (pid: %d)\n", pid);
  }
}
